CVE-2023-50572

NameCVE-2023-50572
DescriptionAn issue in the component GroovyEngine.execute of jline-groovy v3.24.1 allows attackers to cause an OOM (OutofMemory) error.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1059726

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
jline3 (PTS)bullseye3.3.1-2vulnerable
sid, trixie, bookworm3.3.1-3vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
jline3source(unstable)(unfixed)1059726

Notes

[bookworm] - jline3 <no-dsa> (Minor issue)
[bullseye] - jline3 <no-dsa> (Minor issue)
https://github.com/jline/jline3/issues/909
https://github.com/jline/jline3/commit/f3c60a3e6255e8e0c20d5043a4fe248446f292bb (jline-parent-3.25.0)
check if jline 3.x specific or affects as well src:jline2, src:jline

Search for package or bug name: Reporting problems